import http from "@/api";

/**
 * @name 全局模块(在公司下面的数据)
 */

//获取供应商
export const getSupplierApi = (params: any) => {
    return http.get<any>(`basicinfo/suppliers`, params);
};
//組織
export const getOrgsApi = () => {
    return http.get<any>(`basicinfo/orgs`);
};
//客戶
export const getCustomersApi = (params: any) => {
    return http.get<any>(`basicinfo/customers`, params);
};
//用户(订阅账号)
export const getUsersApi = (params: any) => {
    return http.get<any>(`user/list`, params);
};
//品线
export const getProductLinesApi = (params: any) => {
    return http.get<any>(`basicinfo/productlines`, params);
};

//仓库
export const getWarehousesListApi = () => {
    return http.get<any>(`basicinfo/warehouses`);
};
